// components/tabbar/tabbar.js
Component({
  options: {
    styleIsolation: 'apply-shared' // 页面样式影响组件，组件样式不影响页面
  },
  properties:{
    active: { // 属性名
      type: Number,
      value: 0
    },
    isScroll: { // 属性名
      type: Boolean,
      value: false
    },
  },
  /**
   * 页面的初始数据
   */
  data: {
    num:0
    // active:0,
    // isScroll:true,
  },
  methods:{

    handleTab(e){
      let url = e.currentTarget.dataset.url
      console.log(1111111,url);
      wx.switchTab({
        url,
      })
    },
    /**
   * 回到顶部
   */
  backToTop: function () {
    wx.pageScrollTo({
      scrollTop: 0
    })
  },
  },
  pageLifetimes: {
    show: function() {
      // 页面被展示
      var app = getApp();
      this.setData({
        num:app.globalData.totalCartCount
      })
      
    },
    hide: function() {
      // 页面被隐藏
    },
    resize: function(size) {
      // 页面尺寸变化
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  
})